//登录提交
function login_form(formurl, formid, mesg) {
    if ($(".login_zh").val() == "") {
        mesg = "请输入" + $(".login_zh").attr("placeholder");
        $(".loginwarning").html(mesg).show();
    } else if ($(".login_mm").val() == "") {
        mesg = "请输入" + $(".login_mm").attr("placeholder");
        $(".loginwarning").html(mesg).show();
    } else {
        $(".loginwarning").hide();
        layer.load(2);
        var ajaxTimeoutTest = $.ajax({
            url: formurl,  //请求的URL
            timeout: 30000, //超时时间设置，单位毫秒
            type: 'POST',  //请求方式，get或post
            data: $('#' + formid).serialize(),  //请求所传参数，json格式
            success: function (data) { //请求成功的回调函数
                if (data.result == 1) {
                    location.href = data.returnUrl;
                    //成功跳转
                } else {
                    //失败提示
                    layer.closeAll();
                    //mesg = "用户名或密码错误";
                    mesg = data.msg;
                    $(".loginwarning").html(mesg).show();
                }
            },
            error: function () {
                layer.closeAll();
                layer.alert('请求失败!', {
                    skin: 'nprs2',
                    title: false,
                    shade: 0,
                    shift: 3,
                    btn: false,
                    time: 3000
                });
            },
            complete: function (XMLHttpRequest, status) { //请求完成后最终执行参数
                if (status == 'timeout') {//超时,status还有success,error等值的情况
                    ajaxTimeoutTest.abort();
                    layer.closeAll();
                    layer.alert('网络不通畅,请重试!', {
                        skin: 'nprs2',
                        title: false,
                        shade: 0,
                        shift: 3,
                        btn: false,
                        time: 3000
                    });
                }
            }
        });
        //$.post(formurl, $('#' + formid).serialize(), function (data) {
        //    if (data.result == 1) {
        //        location.href = data.returnUrl;
        //        //成功跳转
        //    } else {
        //        //失败提示
        //        layer.closeAll();
        //        //mesg = "用户名或密码错误";
        //        mesg = data.msg;
        //        $(".loginwarning").html(mesg).show();
        //    }
        //});
    }
}

function loginForm(formurl, formid, event, mesg) {
    var event = window.event || event;
    if (event.keyCode == 13) {
        if ($(".login_zh").val() == "") {
            mesg = "请输入" + $(".login_zh").attr("placeholder");
            $(".loginwarning").html(mesg).show();
        } else if ($(".login_mm").val() == "") {
            mesg = "请输入" + $(".login_mm").attr("placeholder");
            $(".loginwarning").html(mesg).show();
        } else {
            $(".loginwarning").hide();
            layer.load(2);
            var ajaxTimeoutTest = $.ajax({
                url: formurl,  //请求的URL
                timeout: 30000, //超时时间设置，单位毫秒
                type: 'POST',  //请求方式，get或post
                data: $('#' + formid).serialize(),  //请求所传参数，json格式
                success: function (data) { //请求成功的回调函数
                    layer.closeAll();
                    if (data.result == 1) {
                        location.href = data.returnUrl;
                        //成功跳转
                    } else {
                        //失败提示
                        layer.closeAll();
                        //mesg = "用户名或密码错误";
                        mesg = data.msg;
                        $(".loginwarning").html(mesg).show();
                    }
                },
                error: function () {
                    layer.closeAll();
                    layer.alert('请求失败!', {
                        skin: 'nprs2',
                        title: false,
                        shade: 0,
                        shift: 3,
                        btn: false,
                        time: 3000
                    });
                },
                complete: function (XMLHttpRequest, status) { //请求完成后最终执行参数
                    if (status == 'timeout') {//超时,status还有success,error等值的情况
                        ajaxTimeoutTest.abort();
                        layer.closeAll();
                        layer.alert('网络不通畅,请重试!', {
                            skin: 'nprs2',
                            title: false,
                            shade: 0,
                            shift: 3,
                            btn: false,
                            time: 3000
                        });
                    }
                }
            });
            //$.post(formurl, $('#' + formid).serialize(), function (data) {
            //    if (data.result == 1) {
            //        location.href = data.returnUrl;
            //        //成功跳转
            //    } else {
            //        //失败提示
            //        layer.closeAll();
            //        mesg = "用户名或密码错误";
            //        $(".loginwarning").html(mesg).show();
            //    }
            //});
        }
    }
}

//获取验证码
function login_code(formurl, formid, mesg) {
    if ($(".login_sj").val() == "") {
        mesg = "请输入" + $(".login_sj").attr("placeholder");
        formIn(mesg);
    } else if (!formYz($(".login_sj"))) {
        mesg = $(".login_sj").attr("placeholder") + "输入有误";
        formIn(mesg);
    } else {
        timeer();
        //        验证通过ajax

        $.post(formurl, $('#' + formid).serialize(), function (data) {

        });
    }
}

//显示提醒内容
var cl;
function formIn(text) {
    $(".loginwarning").html(text).show();
    clearTimeout(cl);
    cl = setTimeout(function () {
        $(".loginwarning").hide()
    }, 2000)
}


function timeer() {
    var time = 60;
    $(".login_yzm").attr("disabled", "disabled");
    $(".login_yzm").css("backgroundColor", "#00638E");
    var t = setInterval(function () {
        time--;
        $(".login_yzm").html(time + "秒");
        if (time == 0) {
            clearInterval(t);
            $(".login_yzm").css("backgroundColor", "#00a0e9");
            $(".login_yzm").html("重新获取");
            $(".login_yzm").removeAttr("disabled");
        }
    }, 1000)
}


